Subject: [bug#40601] guix-daemon runit service on void

From: jgart <[email-masked]>
Date: Thu, 2 Sep 2021 13:51:54 -0400

Hi,

I just wanted to give some information about me runnning guix on void linux.

I get the following error when I try to install with guix-install.sh:

[ FAIL ] Init system could not be detected.

That's probably to be expected since runit has not been added yet to the guix-install.sh script.

Here is the guix-daemon runit service that I currently run on void linux in case it is useful to anyone else:

/etc/sv/guix-daemon/run:

```
#!/bin/sh

exec /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --build-users-group=guixbuild --substitute-urls=https://guix.bordeaux.inria.fr 2>&1
```

Has anyone tried running guix on void linux? 

If so, are you running something different than above for your runit service?

all best,

jgart
 
 _________________________________________ 
/ 3B1D 7F19 E36B B60C 0F5B 2CA9 A52A A2B4 \
\ 77B6 DD35                               /
 ----------------------------------------- 
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||